* Ensure we use the correct class.

lcClass = iif(os(3) < '6', 'XPTaskScheduler', 'VistaTaskScheduler')

* Change these to the user name and password for a Windows account.

lcUserName = 'YourUserName'
lcPassword = 'YourPassword'

* Create a task that runs at 3:00 AM every day.

loSchedule = newobject(lcClass, 'TaskScheduler.prg')
with loSchedule
	.TaskName     = 'Run Notepad'
	.UserName     = lcUserName
	.Password     = lcPassword
	.StartTime    = {^2015-07-01 03:00:00}
	.EXEName      = 'Notepad.exe'
	.ScheduleType = 1
	if not .CreateTask()
		messagebox(.ErrorMessage)
	endif not .CreateTask()
endwith

* Create a weekly task that runs at 3:00 AM Tues, Thurs, and Sat of every
* second week.

loSchedule = newobject(lcClass, 'TaskScheduler.prg')
with loSchedule
	.TaskName     = 'Run Notepad'
	.UserName     = lcUserName
	.Password     = lcPassword
	.StartTime    = {^2015-07-01 03:00:00}
	.EXEName      = 'Notepad.exe'
	.ScheduleType = 2
	.Interval     = 2
	store .T. to .DaysOfWeek[3], .DaysOfWeek[5], .DaysOfWeek[7]
	if not .CreateTask()
		messagebox(.ErrorMessage)
	endif not .CreateTask()
endwith

* Create a monthly task that runs at 3:00 AM on the 1st and 15th of every
* month.

loSchedule = newobject(lcClass, 'TaskScheduler.prg')
with loSchedule
	.TaskName     = 'Run Notepad'
	.UserName     = lcUserName
	.Password     = lcPassword
	.StartTime    = {^2015-07-01 03:00:00}
	.EXEName      = 'Notepad.exe'
	.ScheduleType = 3
	store .T. to .DaysOfMonth[1], .DaysOfMonth[15]
	.MonthsOfYear = .T.  && initialize all 12 elements of array to .T.
	if not .CreateTask()
		messagebox(.ErrorMessage)
	endif not .CreateTask()
endwith
